Unable to install chrome ... getting error cant pull from untrusted non gpg verified remote . Endless OS Version is :3.3.16 and Machine is Asus Desktop( 64 Bit)

Hi ,

Getting two issues .

  1. Unable to install chrome in my desktop
  2. Post installing Zoom from APP store , unable to launch it . Please assist to resolve the same on priority

Endless OS Version is :3.3.16 and Machine is Asus Desktop( 64 Bit)

eos-diagnostic-210615_055419_UTC 0530.txt (389.5 KB)

This answer is related to the one you asked in another Thread, so i link to it: Unable to Launch Zoom post installation from APP Store

  1. Open the application called ‘Terminal
  2. In this application run the command:
flatpak update --appstream && flatpak update -y
sudo ostree admin upgrade
eos-updater-ctl update --force
  1. Now try the operating system upgrade again and go to Endless OS 3.9.4

Hi Leandro ,

Unable to update , getting error please refer below message

ashir@endless:~$ flatpak update --appstream && flatpak update -y
Updating appstream for remote eos-apps
[####################] 4 metadata, 1 content objects fetched; 99 KiB transferredError updating: GDBus.Error:org.freedesktop.DBus.Error.Failed: Error pulling from repo: Can’t pull from untrusted non-gpg verified remote

Updating appstream for remote eos-runtimes
[####################] 3 metadata, 0 content objects fetched; 1 KiB transferred Error updating: GDBus.Error:org.freedesktop.DBus.Error.Failed: Error pulling from repo: Can’t pull from untrusted non-gpg verified remote

Updating appstream for remote eos-sdk
Error updating: GPG signatures found, but none are in trusted keyring
Updating appstream for remote flathub
[####################] 1 delta parts, 1 loose fetched
Looking for updates…
Warning: Can’t find dependencies: GPG signatures found, but none are in trusted keyring
Warning: Problem looking for related refs: GPG signatures found, but none are in trusted keyring
Warning: Can’t find dependencies: GPG signatures found, but none are in trusted keyring
Warning: Problem looking for related refs: GPG signatures found, but none are in trusted keyring
Warning: Can’t find dependencies: No entry for app/com.endlessm.kapan_lagi.id/x86_64/eos3 in remote summary flatpak cache
Warning: Can’t find dependencies: No entry for app/com.endlessm.okezone.id/x86_64/eos3 in remote summary flatpak cache
Required runtime for com.endlessm.quote_of_the_day.en/x86_64/eos3 (com.endlessm.apps.Platform/x86_64/5) is not installed, searching…
The required runtime com.endlessm.apps.Platform/x86_64/5 was not found in a configured remote.
error: The Application com.endlessm.quote_of_the_day.en/x86_64/eos3 requires the runtime com.endlessm.apps.Platform/x86_64/5 which is not installed
ashir@endless:~$ sudo ostree admin upgrade
[sudo] password for ashir:
Sorry, try again.
[sudo] password for ashir:
Sorry, try again.
[sudo] password for ashir:

error: Locking repo shared failed: Resource temporarily unavailable
ashir@endless:~$ sudo ostree admin upgrade

error: Locking repo shared failed: Resource temporarily unavailable
ashir@endless:~$ eos-updater-ctl update --force
usage: eos-updater-ctl [-h] [–quiet] command …
eos-updater-ctl: error: unrecognized arguments: --force
ashir@endless:~$ eos-updater-ctl update
Changed state to Polling
Changed state to Ready
======= Properties =======
State: Polling
CurrentID: ‘1d74f4ff25bad55aabe2101e8a6fc2a9aa553454e56cbe3be7d853617fe5a226’
DownloadSize: int64 0
DownloadedBytes: int64 0
ErrorCode: uint32 0
ErrorMessage: ‘’
ErrorName: ‘’
FullDownloadSize: int64 0
FullUnpackedSize: int64 0
OriginalRefspec: ‘’
UnpackedSize: int64 0
UpdateID: ‘’
UpdateLabel: ‘’
UpdateMessage: ‘’
UpdateRefspec: ‘’

Traceback (most recent call last):
File “/usr/bin/eos-updater-ctl”, line 355, in
main()
File “/usr/bin/eos-updater-ctl”, line 351, in main
sys.exit(args.function(**args_dict))
File “/usr/bin/eos-updater-ctl”, line 186, in command_update
fetch_result = command_fetch(block=True, quiet=quiet)
File “/usr/bin/eos-updater-ctl”, line 173, in command_fetch
return command_dbus(‘fetch’, block, quiet)
File “/usr/bin/eos-updater-ctl”, line 145, in command_dbus
proxy.call_sync(‘com.endlessm.Updater.’ + function_name, None, 0, -1, None)
GLib.Error: g-io-error-quark: GDBus.Error:com.endlessm.Updater.Error.WrongState: Can’t call Fetch() while in state Ready (36)
ashir@endless:~$

Regards,
Ahmad

Hi ,
Please find some more details/logs which will help you to resolve the issue. Please suggest

ashir@endless:/$ eos-updater-ctl update --force
usage: eos-updater-ctl [-h] [–quiet] command …
eos-updater-ctl: error: unrecognized arguments: --force
ashir@endless:/$ ^C
ashir@endless:/$ journalctl -f -u eos-updater
– Logs begin at Wed 2021-06-16 06:56:13 IST. –
Jun 16 07:14:19 endless eos-updater[1291]: libostree HTTP error from remote eos for https://ostree.endlessm.com/ostree/eos-amd64/objects/b9/0c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c.sizes2: Server returned status 404: Not Found
Jun 16 07:14:19 endless eos-updater[1291]: libostree HTTP error from remote eos for https://ostree.endlessm.com/ostree/eos-amd64/objects/b9/0c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c.sig: Server returned status 404: Not Found
Jun 16 07:14:19 endless eos-updater[1291]: Failed to poll metadata from source main: Commit b90c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c: GPG signatures found, but none are in trusted keyring
Jun 16 07:14:19 endless eos-updater[1291]: Changing to state Ready
Jun 16 07:15:03 endless eos-updater[1291]: Changing to state Polling
Jun 16 07:15:03 endless eos-updater[1291]: Using product branch os/eos/nexthw/eos3.3
Jun 16 07:15:09 endless eos-updater[1291]: libostree HTTP error from remote eos for https://ostree.endlessm.com/ostree/eos-amd64/objects/b9/0c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c.sizes2: Server returned status 404: Not Found
Jun 16 07:15:09 endless eos-updater[1291]: libostree HTTP error from remote eos for https://ostree.endlessm.com/ostree/eos-amd64/objects/b9/0c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c.sig: Server returned status 404: Not Found
Jun 16 07:15:09 endless eos-updater[1291]: Failed to poll metadata from source main: Commit b90c9d17e795282c96f429654a516709a1dc11a5d13b8d4a19d98f60e994910c: GPG signatures found, but none are in trusted keyring
Jun 16 07:15:09 endless eos-updater[1291]: Changing to state Ready

Regards,
Ahmad

Unfortunately, the signing key shipped with the OS expired. What you can do is download a current version of the key and then tell ostree to use that.

First, download it:

wget https://ostree.endlessm.com/keys/eos-ostree-keyring.gpg

Then import it for the eos remote:

sudo ostree remote gpg-import -k eos-ostree-keyring.gpg eos

After that you should be able to update again. Once you get an OS update, the keys shipped with the OS in /usr/share/ostree/trusted.gpg.d should be current.

2 Likes

Dear All,

Thanks for reply . Now I upgraded the OS and current version is 3.9.4 (210423-160351) but still getting error while Microsoft chrome upgrade or download from apps store. Still unable to open chrome . Getting error message – Cant pull from un-trusted non-gpg verified pool

Please suggest.

Regards,
Jamal Ahmad

Can you please run the following commands:

sudo flatpak remote-delete --force eos-apps
wget -O /tmp/eos-flatpak-keyring.gpg https://ostree.endlessm.com/keys/eos-flatpak-keyring.gpg
sudo flatpak remote-add --collection-id=com.endlessm.Apps --default-branch=eos3 --gpg-import=/tmp/eos-flatpak-keyring.gpg eos-apps https://ostree.endlessm.com/ostree/eos-apps

Can you then please verify if you are able to install Google Chrome.

I’ve documented this issue and workaround here:

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.